﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;
using premium.localweather;
using premium.locationsearch;
using premium.timezone;
using premium.marineweather;
using System.Collections;
using System.Reflection;
using premium.pastweather;

public partial class TestPremiumAPI : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void btnLocalWeatherPremium_Click(object sender, EventArgs e)
    {
        // set input parameters for the API
        LocalWeatherInput input = new LocalWeatherInput();
        input.query = "Karachi";
        input.num_of_days = "2";
        input.format = "JSON";

        // call the local weather method with input parameters
        PremiumAPI api = new PremiumAPI();
        LocalWeather localWeather = api.GetLocalWeather(input);

        // printing a few values to show how to get the output
        txtOutput.Text = "\r\n Cloud Cover: " + localWeather.data.current_Condition[0].cloudcover;
        txtOutput.Text += "\r\n Humidity: " + localWeather.data.current_Condition[0].humidity;
        txtOutput.Text += "\r\n Temp C: " + localWeather.data.current_Condition[0].temp_C;
        txtOutput.Text += "\r\n Visibility: " + localWeather.data.current_Condition[0].weatherDesc[0].value;
        txtOutput.Text += "\r\n Observation Time: " + localWeather.data.current_Condition[0].observation_time;
        txtOutput.Text += "\r\n Pressue: " + localWeather.data.current_Condition[0].pressure;

    }

    protected void btnLocationSearchPremium_Click(object sender, EventArgs e)
    {
        // set input parameters for the API
        LocationSearchInput input = new LocationSearchInput();
        input.query = "Karachi";
        input.num_of_results = "3";
        input.format = "JSON";

        // call the location Search method with input parameters
        PremiumAPI api = new PremiumAPI();
        LocationSearch locationSearch = api.SearchLocation(input);

        // printing a few values to show how to get the output
        txtOutput.Text = "\r\n Area Name: " + locationSearch.search_API.result[0].areaName[0].value;
        txtOutput.Text += "\r\n Country: " + locationSearch.search_API.result[0].country[0].value;
        txtOutput.Text += "\r\n Latitude: " + locationSearch.search_API.result[0].latitude;
        txtOutput.Text += "\r\n Longitude: " + locationSearch.search_API.result[0].longitude;
        txtOutput.Text += "\r\n Population: " + locationSearch.search_API.result[0].population;
        txtOutput.Text += "\r\n Region: " + locationSearch.search_API.result[0].region[0].value;
    }

    protected void btnTimeZonePremium_Click(object sender, EventArgs e)
    {
        // set input parameters for the API
        TimeZoneInput input = new TimeZoneInput();
        input.query = "Karachi";
        input.format = "JSON";

        // call the location Search method with input parameters
        PremiumAPI api = new PremiumAPI();
        Timezone timeZone = api.GetTimeZone(input);

        // printing a few values to show how to get the output
        txtOutput.Text = "\r\n Local Time: " + timeZone.data.time_zone[0].localtime;
        txtOutput.Text += "\r\n Time Offset: " + timeZone.data.time_zone[0].utcOffset;
    }

    protected void btnMarineWeatherPremium_Click(object sender, EventArgs e)
    {
        // set input parameters for the API
        MarineWeatherInput input = new MarineWeatherInput();
        input.query = "45,-2";
        input.format = "JSON";

        // call the location Search method with input parameters
        PremiumAPI api = new PremiumAPI();
        MarineWeather marineWeather = api.GetMarineWeather(input);

        // printing a few values to show how to get the output
        txtOutput.Text  = "\r\n Date: " + marineWeather.data.weather[0].date;
        txtOutput.Text += "\r\n Min Temp (c): " + marineWeather.data.weather[0].mintempC;
        txtOutput.Text += "\r\n Max Temp (c): " + marineWeather.data.weather[0].maxtempC;
        txtOutput.Text += "\r\n Cloud Cover: " + marineWeather.data.weather[0].hourly[0].cloudcover;
    }

    protected void btnPastWeatherPremium_Click(object sender, EventArgs e)
    {
        // set input parameters for the API
        PastWeatherInput input = new PastWeatherInput();
        input.query = "Karachi";
        input.date = "2013-03-01";
        input.enddate = "2013-03-03";
        input.format = "JSON";

        // call the past weather method with input parameters
        PremiumAPI api = new PremiumAPI();
        PastWeather pastWeather = api.GetPastWeather(input);

        // printing a few values to show how to get the output
        txtOutput.Text = "\r\n Date: " + pastWeather.data.weather[0].date;
        txtOutput.Text += "\r\n Max Temp(C): " + pastWeather.data.weather[0].maxtempC;
        txtOutput.Text += "\r\n Max Temp(F): " + pastWeather.data.weather[0].maxtempF;
        txtOutput.Text += "\r\n Min Temp(C): " + pastWeather.data.weather[0].mintempC;
        txtOutput.Text += "\r\n Min Temp(F): " + pastWeather.data.weather[0].mintempF;
        txtOutput.Text += "\r\n Cloud Cover: " + pastWeather.data.weather[0].hourly[0].cloudcover ;

    }
}